Bug 1466709 - nagstamon: Switch to Python 3
Summary: nagstamon: Switch to Python 3
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: nagstamon
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nikita Klimov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE 1604918
TreeView+ depends on / blocked
 
Reported: 2017-06-30 09:56 UTC by Iryna Shcherbina
Modified: 2019-05-11 10:57 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-11-30 22:19:27 UTC


Attachments (Terms of Use)

Description Iryna Shcherbina 2017-06-30 09:56:34 UTC
Upstream, this software supports Python 3 starting version 2.0.
Please provide a Python 3 package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

Since users aren't expected to import this tool from Python code,
you can just switch to /usr/bin/python3. Alternatively, if you want or
need to keep a Python 2 version, the current best practice is to provide
subpackages -- this is called "Common SRPM" in the guidelines.

It's OK to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 25 as well.


If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Comment 1 Jan Kurik 2017-08-15 08:05:03 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 2 Jan Beran 2017-11-13 14:48:31 UTC
I created a Pagure PR that updates the package to 3.0.2 version, switching to Python 3:

https://src.fedoraproject.org/rpms/nagstamon/pull-request/1

Please, may I ask to review and rebuild?

Comment 3 Henri Wahl 2018-11-02 13:10:50 UTC
Hi,

can you please apply that update/PR? Every time I upgrade Fedora I get the old dusty Nagstamon 1.0 which does not even run anymore on newer Fedora.

Thanks and regards
Henri

Comment 4 Stefan Neufeind 2018-11-03 20:51:19 UTC
There meanwhile is a pre-version of 3.1 that ships as an RPM ready to install on Fedora 28 and 29, with all current libraries.

https://nagstamon.ifw-dresden.de/download/

Please note that Henri Wahl is the author of Nagstamon, and already maintains Fedora-compatible packages on his website. Might there be a chance to work closer together and provide a working version inside Fedora again? As Henri pointed out the old version in Fedora doesn't help at all ...

Comment 5 Peter Oliver 2018-11-17 10:11:27 UTC
(In reply to Henri Wahl from comment #3)
> 
> can you please apply that update/PR? Every time I upgrade Fedora I get the
> old dusty Nagstamon 1.0 which does not even run anymore on newer Fedora.

That pull request is now more than a year old, which suggests that this package is no-longer being maintained.  It's perhaps worth pursuing https://fedoraproject.org/wiki/Policy_for_nonresponsive_package_maintainers.  Orphaning the package may cause a new volunteer to step forward, but, if not, it sounds like the existing broken package is worse than no package at all.

(In reply to Stefan Neufeind from comment #4)
> 
> Please note that Henri Wahl is the author of Nagstamon, and already
> maintains Fedora-compatible packages on his website. Might there be a chance
> to work closer together and provide a working version inside Fedora again?
> As Henri pointed out the old version in Fedora doesn't help at all ...

It's certainly possible.  It requires an interested person (which could be Henri, if he has the time and inclination) to volunteer to become a Fedora package maintainer and to build the packages within Fedora.  https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

Comment 6 Henri Wahl 2018-11-17 11:30:16 UTC
(In reply to Peter Oliver from comment #5)

> It's certainly possible.  It requires an interested person (which could be
> Henri, if he has the time and inclination) to volunteer to become a Fedora
> package maintainer and to build the packages within Fedora. 
> https://fedoraproject.org/wiki/Join_the_package_collection_maintainers

I am sorry but do not even find time for coding so I would be happy someone else could to the packaging part... :-/

Comment 7 Ben Cotton 2018-11-27 13:33:13 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Stefan Neufeind 2018-11-27 13:38:25 UTC
Please update to Fedora 29, as this is still relevant and needed.

Comment 9 Ben Cotton 2018-11-30 22:19:27 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 10 Ben Cotton 2019-02-19 17:12:11 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30.


Note You need to log in before you can comment on or make changes to this bug.